RelationType (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.envers.entities
Enum RelationType

    java.lang.Object
      java.lang.Enum<RelationType>
          org.hibernate.envers.entities.RelationType

All Implemented Interfaces:
  Serializable, Comparable<RelationType>

    public enum RelationType

extends Enum<RelationType>

Type of a relation between two entities.

Enum Constant Summary
`TO_MANY_MIDDLE` A collection-of-references-valued relation.
`TO_MANY_MIDDLE_NOT_OWNING` A collection-of-references-valued relation.
`TO_MANY_NOT_OWNING` A collection-of-references-valued relation.
`TO_ONE` A single-reference-valued relation.
`TO_ONE_NOT_OWNING` A single-reference-valued relation.

Method Summary
`static RelationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RelationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TO_ONE

    public static final RelationType TO_ONE

  A single-reference-valued relation. The entity owns the relation.

### TO_ONE_NOT_OWNING

    public static final RelationType TO_ONE_NOT_OWNING

  A single-reference-valued relation. The entity doesn't own the relation. It is directly mapped in the related entity.

### TO_MANY_NOT_OWNING

    public static final RelationType TO_MANY_NOT_OWNING

  A collection-of-references-valued relation. The entity doesn't own the relation. It is directly mapped in the related entity.

### TO_MANY_MIDDLE

    public static final RelationType TO_MANY_MIDDLE

  A collection-of-references-valued relation. The entity owns the relation. It is mapped using a middle table.

### TO_MANY_MIDDLE_NOT_OWNING

    public static final RelationType TO_MANY_MIDDLE_NOT_OWNING

  A collection-of-references-valued relation. The entity doesn't own the relation. It is mapped using a middle table.

Method Detail

### values

    public static RelationType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RelationType c : RelationType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RelationType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.